

For random.c

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/lib/sha1.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN lib/sha1.c~random-pt4-replace-sha-with-faster-version-fix lib/sha1.c
--- 25/lib/sha1.c~random-pt4-replace-sha-with-faster-version-fix	2005-01-23 21:42:16.208357744 -0800
+++ 25-akpm/lib/sha1.c	2005-01-23 21:42:48.459454832 -0800
@@ -4,6 +4,7 @@
  */
 
 #include <linux/kernel.h>
+#include <linux/module.h>
 #include <linux/cryptohash.h>
 
 /* The SHA f()-functions.  */
@@ -72,6 +73,7 @@ void sha_transform(__u32 *digest, const 
 	digest[3] += d;
 	digest[4] += e;
 }
+EXPORT_SYMBOL(sha_transform);
 
 /*
  * sha_init: initialize the vectors for a SHA1 digest
_
